# Claude AI Assistant Configuration

This file contains project-specific information and preferences for Claude AI assistant interactions.

## Project Overview

This is a SQLite-based RAG (Retrieval-Augmented Generation) system built with Haiku.

## Development Commands

- Install dependencies: `uv sync`
- Run tests: `pytest`
- Run specific test: `pytest path/to/test_file.py`
- Run with coverage: `pytest --cov`
- Type checking: `pyright`
- Run MCP server: `python -m haiku.rag.mcp`

## Project Structure

- `src/` - Source code
- `tests/` - Test files
- `README.md` - Documentation

## Notes

- This is a Python project using uv for dependency management
- Use pytest for testing
- Prefer editing existing files over creating new ones
- Follow existing code patterns and conventions
- Remember to activate the .venv when you start working
- Never use relative imports
- Always run ruff as well as pyright after you are done
- Do not be verbose with comments!
- When you change something check if the README needs an update too.
  